Fix the package needs to be reinstalled, but I can’t find an archive for it

Howto fix the package needs to be reinstalled, but I can’t find an archive for it

ubuntu

1. Error which we are getting

E: The package webmin needs to be reinstalled, but I can’t find an archive for it.

root@ubuntu:~# apt-get install apache2
Reading package lists… Done
Building dependency tree
Reading state information… Done
E: The package webmin needs to be reinstalled, but I can’t find an archive for it.

 2. How to fix that

dpkg –remove –force-remove-reinstreq packagename

root@ubuntu:~# dpkg –remove –force-remove-reinstreq webmin
dpkg: warning: overriding problem because –force enabled:
Package is in a very bad inconsistent state – you should
reinstall it before attempting a removal.
(Reading database … 183039 files and directories currently installed.)
Removing webmin …
Processing triggers for ureadahead …
root@ubuntu:~#

Thanks for using IThelpblog.com.

Leave a reply

You may use these HTML tags and attributes: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <s> <strike> <strong>